clc; clearall; closeall;
val = load ( 'odfiltrovany2.mat');
prubeh = val.odfiltrovany2;     % načtení naměřených dat
 
N = length( prubeh);    	  % určení počtu prvků v naměřených datech
n = 1:N;
t = n/(1/50e-3);        	  % vytvoření časové osy pro průběhy
 
figure( 2);
subplot( 2, 1, 1);          	  % příprava okna pro grafy
plot( t, prubeh, '.g');         % vykreslení průběhu s odstraněným šumem
xlabel( 't [ms] \rightarrow');  % popis časové osy
 
x1 = t;
y1 = prubeh;                	  % vytvoření kopie dat pro aproximaci
 
c1 = polyfit( log(x1), log(y1),1);
xInt1 = linspace( x1(1), x1(length(x1)), 250);
yInt1 = exp( c1(2))*xInt1.^(c1(1)); % aproximace exponenciálního průběhu
 
xInt1( 1) = [];
yInt1( 1) = [];                    % odstranění první hodnoty aproximace
 
subplot( 2, 1, 2);
% vykreslení naměřených dat s odstraněným šumem spolu s aproximovaným
% průběhem
plot( x1, y1, '.g', xInt1, yInt1, '.r');
